;********************************************************************
;*																	*
;*   Мини ОС реального времени										*
;*   http://easyelectronics.ru										*
;*																	*
;*   Кристал: ATTiny13                                              *
;*																	*
;*	Автоматика управления дворниками для ВАЗ21213					*
;*																	*
;*   taskq.asm	- Модуль очереди процессов							*
;*																	*
;*   Структура проекта:												*
;*		main.asm	- главный модуль (основной цикл)				*
;*		tasks.asm 	- Модуль процессов								*
;* 		taskq.asm	- Модуль очереди процессов						*
;*		timers.asm	- Модуль очереди таймеров						*
;*		data.inc	- Данные в программной памяти					*
;*		define.inc	- Константы и дифайны							*
;*																	*
;********************************************************************
.macro SetTaskM
	ldi OSWR, @0
	rcall SetTask
.endm 

.macro SetTimerM
	ldi OSWR, @0
	ldi XL, low(@1)
	ldi XH, high(@1)
	rcall SetTimer
.endm
