;********************************************************************
;*																	*
;*   Мини ОС реального времени										*
;*   http://easyelectronics.ru										*
;*																	*
;*	Автоматика управления дворниками для ВАЗ21213					*
;*																	*
;*   Кристал: ATTiny13                                              *
;*                                                                  *
;*   main.asm Главный модуль										*
;*																	*
;*   Структура проекта:												*
;*		main.asm	- главный модуль (основной цикл)				*
;*		tasks.asm 	- Модуль процессов								*
;* 		taskq.asm	- Модуль очереди процессов						*
;*		timers.asm	- Модуль очереди таймеров						*
;*		data.inc	- Данные в программной памяти					*
;*		define.inc	- Константы и дифайны							*
;*																	*
;********************************************************************

StartTimer:
	mov BtnTimerFlag, one
	sts BtnTimer, zero
	sts BtnTimer+1, zero 
	ret
	
TimerOver:
	lds YL, BtnTimer
	lds YH, BtnTimer+1
	mov return, zero
	cp YH, XH
	brlo TOverExit
	cp YL, YH
	brlo TOverExit
	mov return, one
TOverExit:
	ret
